#!/usr/bin/python

import os, sys
from twisted.trial import runner, itrial, reporter

dir, filename = os.path.split(__file__)
sys.path.insert(0, os.path.realpath(dir))

def get_test_suite():
    loader = runner.TestLoader()
    return loader.loadByNames(['desktopcouch'], True) 

def run():
    test_runner = runner.TrialRunner(reporter.TreeReporter) 
    test_result = test_runner.run(get_test_suite())
    return test_result.wasSuccessful()

if __name__ == '__main__':
    import gobject
    gobject.set_application_name("desktopcouch test runner")

    ret = run()
    sys.exit(not ret)
